# Sherpa configuration for DIS production
# set up beams for HERA
BEAMS: [11,2212]
BEAM_ENERGIES: [27.6, 920]

PDF_SET: [None, Default] #NNPDF30_nnlo_as_0118]

ME_QED: 
  Enabled: false

YFS:
  MODE: None

TAGS:
  RUNID: 1234
  QCUT: 5

ANALYSIS_OUTPUT: Analysis/Analysis_$(RUNID)
RANDOM_SEED: $(RUNID)
EVENT_GENERATION_MODE: Weighted

SCALES: METS{MU_F2}{MU_R2}{MU_Q2}

SCALE_VARIATIONS: 4*

MEPS:
  CORE_SCALE: Default

PARTICLE_DATA:
  4: {Massive: true}
  5: {Massive: true}

PARTICLE_CONTAINERS:
  993:
    Name: qs
    Flavours: [1,2,3,-1,-2,-3,21]
  994:
    Name: cs
    Flavours: [4,-4]
  995:
    Name: bs
    Flavours: [5,-5]

# ep -> e+jets
PROCESSES:
- 11 993 -> 11 993 993{2}:
    Order: {QCD: 0, EW: 2}
    CKKW: $(QCUT)/sqrt(1.0+sqr($(QCUT))/Abs2(p[2]-p[0]))
    2->2-3:
      NLO_Mode: MC@NLO
      NLO_Order: {QCD: 1, EW: 0}
      ME_Generator: Amegic
      RS_ME_Generator: Comix
      Loop_Generator: Internal #OpenLoops
    2->4-5:
      ME_Generator: Comix

- 11 (994,995) -> 11 (994,995) 993{2}:
    Order: {QCD: 0, EW: 2}
    CKKW: $(QCUT)/sqrt(1.0+sqr($(QCUT))/Abs2(p[2]-p[0]))

- 11 993 -> 11 (994,995) (994,995) 993{1}:
    Order: {QCD: 1, EW: 2}
    Cut_Core: 1
    CKKW: $(QCUT)/sqrt(1.0+sqr($(QCUT))/Abs2(p[2]-p[0]))

# minimum constraint for Q2
SELECTORS:
- [Q2, 11, 11, 150, 20000]

ANALYSIS: Rivet
RIVET:
  ANALYSES:
    - H1tau1b
    - H1tau1b_old
    - H1tau1b_transitions
    - H1_GroomedES_Sherpa
    - H1_GroomedES_transitions
    - H1_1996_I422230
    - H1_1995_I394793
    - H1_1996_I424463
    - H1_1997_I445116
    - H1_2013_I1217865
    - H1_2000_S4129130
    - H1_1994_S2919893
    - ZEUS_2011_I945935
    - ZEUS_2010_I875006
    - ZEUS_1999_I500267

AHADIC:
    KT_0    : 1.2138582877204982
    ALPHA_G : 0.9691567812499744
    ALPHA_L : 3.920384097178617
    BETA_L  : 0.18546287859608931
    GAMMA_L : 0.47701678740028847
    ALPHA_D : 3.4192062500365976
    BETA_D  : 0.7193055765252618
    GAMMA_D : 0.769372134271701
    ALPHA_H : -0.6016460860051647
    BETA_H  : 1.8376314636819298
    GAMMA_H : 0.024432730838269932
    STRANGE_FRACTION  : 0.46108284088922324
    BARYON_FRACTION   : 0.17259624147861996
    P_QS_by_P_QQ_norm : 0.5687986222985489
    P_SS_by_P_QQ_norm : 0.056303305013438505
    P_QQ1_by_P_QQ0    : 0.6009461046278534

    # tuning parameter
    ALPHA_B : 14.457686462532143
    BETA_B  : 1.1971549026220139
    GAMMA_B : 8.638969062310434
